Skip to main content
GET
/
2
/
pm
/
market
/
price
Get Prediction Market Price
curl --request GET \
  --url https://pm-api-prod-eu.mobula.io/api/2/pm/market/price
{
  "data": {}
}
Alpha — This endpoint is part of the Prediction Markets API, currently in early access. May change without notice.

Query Parameters

platform
enum<string>
required

Prediction market platform. Today only polymarket is supported; any other value returns 400.

Available options:
polymarket
Example:

"polymarket"

marketId
string

CTF conditionId (required if outcomeId is not provided).

Pattern: ^0x[0-9a-fA-F]{64}$
Example:

"0xd86a816093fcd0a0e1ca440bc5ce199bd3c5a8d6139e044b076958164f8c5423"

outcomeId
string

Outcome token id (required if marketId is not provided).

Pattern: ^[0-9]+$

Response

200 - application/json

Outcome prices

data
object